#!/usr/bin/python
# -*- coding: utf-8 -*-

# Libervia: a SAT frontend
# Copyright (C) 2009, 2010, 2011, 2012, 2013, 2014 Jérôme Poisson (goffi@goffi.org)

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from libervia.common.constants import Const as C


# Auxiliary functions
param_to_bool = lambda value: value == 'true'


class Const(C):
    """Add here the constants that are only used by the browser side."""

    # Parameters that have an incidence on UI display/refresh:
    #     - they can be any parameter (not necessarily specific to Libervia)
    #     - 'cast_from_str' is a method used to eventually convert to a non string type
    #     - 'initial_value' is used to initialize the display before any profile connection
    UI_PARAMS = {"unibox": {"name": C.ENABLE_UNIBOX_PARAM,
                            "category": C.COMPOSITION_KEY,
                            "cast_from_str": param_to_bool,
                            "initial_value": False
                             },
                 }
